commit:     ed6bd85ba15c5e719e2b77b932b153d529aa622e
Author:     Josiah Mullins <jomull01 <AT> protonmail <DOT> com>
AuthorDate: Tue Oct 16 22:47:24 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct 22 20:21:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed6bd85b

net-libs/tox: bump to version 0.2.8

This commit:
adds the use flag ipv6 to enable ipv6 tests;
removes a line that deleted .la files;
src_config() was modified
a new maintainer was added in metadata.xml.

Bug: https://bugs.gentoo.org/668264
Bug: https://bugs.gentoo.org/629828
Closes: https://bugs.gentoo.org/661692
Signed-off-by: Josiah Mullins <JoMull01 <AT> protonmail.com>
Package-Manager: Portage-2.3.49, Repoman-2.3.11
Closes: https://github.com/gentoo/gentoo/pull/10161
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-libs/tox/Manifest         |  1 +
 net-libs/tox/metadata.xml     |  9 +++-
 net-libs/tox/tox-0.2.8.ebuild | 99 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 108 insertions(+), 1 deletion(-)

diff --git a/net-libs/tox/Manifest b/net-libs/tox/Manifest
index a8f6d5d5509..6236ccd4992 100644
--- a/net-libs/tox/Manifest
+++ b/net-libs/tox/Manifest
@@ -1,4 +1,5 @@
 DIST c-toxcore-0.1.10.tar.gz 820090 BLAKE2B 
071e530db2dd6ca387a6cd88f1145515ab8741017626fcb744fdc9940263b6c2604b456b6d1357bc78be5e33b544ecf882e608bc7b4a4227d44c5507e5dbad56
 SHA512 
428fee2d811d0b6d5d005f082aa06f95765794b1a8bc77ec4411bb9ec9085b99675535b88db50f5ad7313850a0bb3c54c4e2e8d8864cea7c0c7d81be9879b157
 DIST c-toxcore-0.2.5.tar.gz 482160 BLAKE2B 
b56511d9cf7bd3a9d2b9177b33bdbf60ac571f6c95d7ee26e6ecae7c9395d8cdd4f6650025f8b727ad9b825b304c4555efaee0f17d60a26bc5bf599905ec27ab
 SHA512 
a425a106054f29533b43b14cb8916706d04158d91b66cdada0e9e007aebd3f68a253b8519a75ca94bffba3adc57362b4e7c44e9356fce416f081a7eda6a61e18
+DIST c-toxcore-0.2.8.tar.gz 502907 BLAKE2B 
0ca2c861b3cd982b471fac5cf8bdacd21c3248118846cc17e51f33ba04cf3da12a64578744e47daa27bb8613762a6f562eb550f0b7af05a66696412f6d0a6360
 SHA512 
a23a87a74fe97091b00ea76676a22578ed1e2426ac777146bb6efc984f1bfd3fff0d7fb149691155b8e2db56e1e088a1884536e5b717ff5c45a87b437f275735
 DIST tox-0.1.6.tar.lz 314837 BLAKE2B 
087a6f5d5ef55709b5f6188d661d556326bb3e6eac33e55f9faf598d433e33dabbd983ab452e948bff97f82cdc336e0fd48d3f0a6ec57551914884a809b9118d
 SHA512 
57ed7cee2c621c57e24f5ab36d68d99414d9820cdb3e8b7c4390818222f9d885f352f9cf76c8eb522c238bebc7d420bcf3cdd5f6ab65b9801aadbd225765166c
 DIST tox-0_pre20160904.tar.gz 395495 BLAKE2B 
d59358c5ff904b17e9c5297a0ce2aff39777f8dd4bfeba1e5e78a284a5016921794d0e0699f91a99f53428809a859ce959e17b4ae9fffdd691005c377834057d
 SHA512 
c0da52ac908141e97e96510a05431cbfb4b9aae81faf4c136c95e21b90a23e3bbe6db88303e48c0f4f3c74ca954229787564b7aa41bfb462afb0d8f8430cdaa1

diff --git a/net-libs/tox/metadata.xml b/net-libs/tox/metadata.xml
index 0dc9808e046..99359c3fc50 100644
--- a/net-libs/tox/metadata.xml
+++ b/net-libs/tox/metadata.xml
@@ -1,7 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-       <!-- maintainer-needed -->
+       <maintainer type="person">
+               <email>jomul...@protonmail.com</email>
+               <name>Josiah Mullins</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>proxy-ma...@gentoo.org</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
        <use>
                <flag name="av">Adds support for audio and video.</flag>
                <flag name="no-log">Log level: 0 (no debug info logged)</flag>

diff --git a/net-libs/tox/tox-0.2.8.ebuild b/net-libs/tox/tox-0.2.8.ebuild
new file mode 100644
index 00000000000..d10d777179d
--- /dev/null
+++ b/net-libs/tox/tox-0.2.8.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils systemd user
+
+MY_P="c-toxcore-${PV}"
+DESCRIPTION="Encrypted P2P, messaging, and audio/video calling platform"
+HOMEPAGE="https://tox.chat";
+SRC_URI="https://github.com/TokTok/c-toxcore/archive/v${PV}.tar.gz -> 
${MY_P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0/0.2"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+av daemon ipv6 no-log log-trace log-debug log-info log-warn +log-error 
static-libs test"
+
+REQUIRED_USE="^^ ( no-log log-trace log-debug log-info log-warn log-error )"
+
+RDEPEND="
+       av? ( media-libs/libvpx:=
+               media-libs/opus )
+       daemon? ( dev-libs/libconfig )
+       >=dev-libs/libsodium-0.6.1:=[asm,urandom,-minimal]"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       cmake-utils_src_prepare
+       #remove faulty tests
+       for testname in bootstrap lan_discovery save_compatibility tcp_relay; do
+               sed -i -e "/^auto_test(${testname})$/d" CMakeLists.txt || die
+       done
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_TOXAV=$(usex av)
+               -DMUST_BUILD_TOXAV=$(usex av)
+               -DBOOTSTRAP_DAEMON=$(usex daemon)
+               -DENABLE_STATIC=$(usex static-libs)
+               -DENABLE_SHARED=ON
+               -DBUILD_AV_TEST=$(usex test)
+               -DUSE_IPV6=$(usex test && usex ipv6)
+       )
+       if use test; then
+               mycmakeargs+=(-DTEST_TIMEOUT_SECONDS=120)
+       fi
+       if use no-log; then
+               mycmakeargs+=(-DMIN_LOGGER_LEVEL="")
+               einfo "logging disable"
+       elif use log-trace; then
+               mycmakeargs+=(-DMIN_LOGGER_LEVEL="TRACE")
+               einfo "Trace logging enabled"
+       elif use log-debug; then
+               mycmakeargs+=(-DMIN_LOGGER_LEVEL="DEBUG")
+               einfo "debug logging enabled"
+       elif use log-info; then
+               mycmakeargs+=(-DMIN_LOGGER_LEVEL="INFO")
+               einfo "info logging enabled"
+       elif use log-warn; then
+               mycmakeargs+=(-DMIN_LOGGER_LEVEL="WARNING")
+               einfo "warning logging enabled"
+       else
+               mycmakeargs+=(-DMIN_LOGGER_LEVEL="ERROR")
+               einfo "error logging enabled"
+       fi
+
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       if use daemon; then
+               newinitd "${FILESDIR}"/initd tox-dht-daemon
+               newconfd "${FILESDIR}"/confd tox-dht-daemon
+               insinto /etc
+               doins "${FILESDIR}"/tox-bootstrapd.conf
+               systemd_dounit "${FILESDIR}"/tox-bootstrapd.service
+       fi
+}
+
+pkg_postinst() {
+       if use daemon; then
+               enewgroup tox
+               enewuser tox -1 -1 -1 tox
+               if [[ -f ${EROOT%/}/var/lib/tox-dht-bootstrap/key ]]; then
+                       ewarn "Backwards compatability with the bootstrap 
daemon might have been"
+                       ewarn "broken a while ago. To resolve this issue, 
REMOVE the following files:"
+                       ewarn "    ${EROOT%/}/var/lib/tox-dht-bootstrap/key"
+                       ewarn "    ${EROOT%/}/etc/tox-bootstrapd.conf"
+                       ewarn "    
${EROOT%/}/run/tox-dht-bootstrap/tox-dht-bootstrap.pid"
+                       ewarn "Then just re-emerge net-libs/tox"
+               fi
+       fi
+}

Reply via email to